Index: libgui/configure.ac
===================================================================
RCS file: /cvs/src/src/libgui/configure.ac,v
retrieving revision 1.4
diff -u -r1.4 configure.ac
--- libgui/configure.ac	2 Aug 2008 23:33:36 -0000	1.4
+++ libgui/configure.ac	11 Aug 2011 09:21:58 -0000
@@ -53,7 +53,7 @@
 fi
 
 case "${host}" in
-*-*-cygwin*)
+*-*-cygwin*|*-*-mingw*)
         touch ac$$.c
         if ${CC} -c -mwin32 ac$$.c >/dev/null 2>&1; then
             case "$LIBGUI_CFLAGS" in
@@ -65,7 +65,7 @@
         ;;
 esac
 case "${host}" in
-*-*-cygwin*)
+*-*-cygwin*|*-*-mingw*)
 	LIBGUI_CFLAGS="-DWIN32 $LIBGUI_CFLAGS" ;;
 esac
 AC_SUBST(LIBGUI_CFLAGS) 
@@ -93,7 +93,7 @@
 if test "${TCL_SRC_DIR}" = "${topdir}/tcl"; then
   # Using in-tree Tcl/Tk
   case "${host}" in
-    *-*-cygwin*) platDir="win" ;;
+    *-*-cygwin*|*-*-mingw*) platDir="win" ;;
     *) platDir="unix" ;;
   esac
 
Index: tcl/win/tclWinChan.c
===================================================================
RCS file: /cvs/src/src/tcl/win/tclWinChan.c,v
retrieving revision 1.6
diff -u -r1.6 tclWinChan.c
--- tcl/win/tclWinChan.c	2 Feb 2006 20:02:09 -0000	1.6
+++ tcl/win/tclWinChan.c	11 Aug 2011 09:22:06 -0000
@@ -122,8 +122,8 @@
 };
 
 #ifdef HAVE_NO_SEH
-static void *ESP;
-static void *EBP;
+static void *ESP __attribute__((used));
+static void *EBP __attribute__((used));
 #endif /* HAVE_NO_SEH */
 
 
Index: tcl/win/tclWinDde.c
===================================================================
RCS file: /cvs/src/src/tcl/win/tclWinDde.c,v
retrieving revision 1.5
diff -u -r1.5 tclWinDde.c
--- tcl/win/tclWinDde.c	21 Jan 2003 19:40:22 -0000	1.5
+++ tcl/win/tclWinDde.c	11 Aug 2011 09:22:06 -0000
@@ -1175,7 +1175,7 @@
 	}
 	case DDE_EVAL: {
 	    objc -= (async + 3);
-	    ((Tcl_Obj **) objv) += (async + 3);
+        objv += (async + 3);
 
             /*
 	     * See if the target interpreter is local.  If so, execute
